<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.jgroups.stack.protocol.ASYM_ENCRYPT">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="add-index,key-alias,key-store,module,properties,statistics-enabled,key-credential-reference"/>
        <elem name="addr-params" value="profile,subsystem,stack,protocol"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jgroups"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.jgroups.protocol.$stack.$protocol"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.key-store.$key-store"/>
    </requires>
    <refs>
        <ref feature="subsystem.jgroups.stack"/>
        <ref feature="subsystem.jgroups"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="add-index" nillable="true"/>
        <param name="stack" feature-id="true"/>
        <param name="protocol" feature-id="true" default="ASYM_ENCRYPT"/>
        <param name="key-alias"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="jgroups"/>
        <param name="key-store"/>
        <param name="statistics-enabled" nillable="true"/>
        <param name="key-credential-reference"/>
        <param name="properties" nillable="true"/>
    </params>
</feature-spec>